Subject: Re: Winnie Example ----- Help !
From: [email-masked] (Scott Warner)

3 Nov 1997 05:01:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

I compiled the winnie example, I think with

g++ -o winnie.exe winnie.cpp -luser32 -lgdi32 -Wl,--subsystem,windows

Be sure that the W is followed by a lowercase L (which looks the same as a
capital I with the Arial font in Windows).

----------
> From: casteeld <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Winnie Example ----- Help !
> Date: Sunday, November 02, 1997 9:00 AM
> 
> I've tried to compile the Winnie example and am getting errors.
> I am using gnuwin32 for the first time and read the documentation 
> provided. I have no idea what the "STRICT compilation flag"
> is and can't find a list of command line flags for gnuwin32.
> 
> I have made all of the sugested changes to my system files.
> 
> This is the command line I used:
> g++ -o .\tmp\winnie.exe .\tmp\winnie.cpp
> 
> the result I get when I try to compile is several lines like:
> C:\TMP\cc0010001.o(.text+0x8f):winnie.cc: undefined reference to 
> 'GetMessageA@16eA@4'
> 
> followed by a line saying:
> 
> Internal compiler error: Program ld got fatal signal 1
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".